﻿/*!
 * 重庆大学网络教育学院技术支持部
 * Date: 2012-03-21 16:57
 */
//-------------------------------------------------- Global Function --------------------------------------------------
//创建名称空间，避免javascript 污染
//名称空间规范和 C# 一样

//--------------------------------------------------  Home/Index --------------------------------------------------


//var url = "http://192.168.42.115/AppClassroomServise/DataApi/GetData";
var url = "http://demo.5any.com/Classroom/AppService/DataApi/GetData";
var alerturl = "http://classroom.5any.com/Classroom/Alert/DataApi/GetData";
//var courseUrl = "http://192.168.42.4/AppClassroomService/DataApi/GetData";
var courseRootUrl = "http://course.5any.com/courselearning/App";
var courseUrl = courseRootUrl + "/DataApi/GetData";
var courseRedirect = "http://course.5any.com/CourseLearning/CourseRedirect/Course/index/"; //课程请求跳转页
var userinfo = null;
var courseVersioninfo = null;

//提交 Ajax Post
//targetUrl: Ajax 查询地址
//submitType: 提交类型:"GET","POST"
//callbackFunction:执行成功后的调用方法。
function AjaxRequest(targetUrl, submitType, callbackFunction, autoCloseWaiting) {
	var url = targetUrl.split('?');
	if (url.length < 2) {
		targetUrl += "?anticache=" + Math.floor(Math.random() * 1000);
	} else {
		targetUrl += "&anticache=" + Math.floor(Math.random() * 1000);
	}
	targetUrl = encodeURI(targetUrl);

	mui.ajax(targetUrl, {
		dataType: 'json', //服务器返回json格式数据
		type: submitType, //HTTP请求类型
		timeout: 20000, //超时时间设置为20秒；
		success: function(data, context) {
			if (data.Success == true || data.Success == 'true') {
				if (callbackFunction != null) {
					callbackFunction.call(context, data);
				}
			} else {
				mui.toast("哇哦，服务器开小差了。");
				plus.nativeUI.closeWaiting();
				console.log(targetUrl);
				//data.InfoMsg && alert(data.InfoMsg);
			}
			if (isNaN(autoCloseWaiting) || autoCloseWaiting == true) {
				var currentWindow = plus.webview.currentWebview();
				currentWindow && currentWindow.show('none'); //把新webview窗体显示出来，显示动画效果为速度150毫秒的右侧移入动画
			}
		},
		error: function(xhr, type, errorThrown) { //请求出错处理
			console.log(targetUrl);
			//调试的时候开启
			//alert(errorThrown);
			plus.nativeUI.closeWaiting();
			mui.toast("哇哦，服务器开小差了。")
		}
	});

}

LocalMobelInfo = function() {};
LocalMobelInfo.prototype.putStringData = function(key, value) {
	localStorage.setItem(key, value + "");
};
LocalMobelInfo.prototype.putBooleanData = function(key, value) {
	localStorage.setItem(key, value + "");
};
LocalMobelInfo.prototype.putIntData = function(key, value) {
	localStorage.setItem(key, value + "");
};

LocalMobelInfo.prototype.getBooleanData = function(key) {
	return "true" == localStorage.getItem(key) ? true : false;
};
LocalMobelInfo.prototype.getStringData = function(key) {
	return localStorage.getItem(key);
};
LocalMobelInfo.prototype.getIntData = function(key) {
	if (!isNullOrUndefined(localStorage.getItem(key))) {
		return parseInt(localStorage.getItem(key));
	} else {
		return 0;
	}
};

LocalMobelInfo.prototype.putJsonData = function(key, value) {
	localStorage.setItem(key, JSON.stringify(value));
};
LocalMobelInfo.prototype.getJsonData = function(key) {
	var jsonStr = localStorage.getItem(key);
	if (jsonStr != null) {
		return JSON.parse(jsonStr);
	} else {
		return null;
	}
};





function ChangeDateFormat(jsondate) {
	jsondate = jsondate.replace("/Date(", "").replace(")/", "");
	if (jsondate.indexOf("+") > 0) {
		jsondate = jsondate.substring(0, jsondate.indexOf("+"));
	} else if (jsondate.indexOf("-") > 0) {
		jsondate = jsondate.substring(0, jsondate.indexOf("-"));
	}

	var date = new Date(parseInt(jsondate, 10));
	var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
	var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
	return date.getFullYear() + "-" + month + "-" + currentDate;
}


var modelinfo = new LocalMobelInfo();


function call(functionName) {
	eval("this." + functionName + "()");
}

function checklogin() {
	userinfo = modelinfo.getJsonData("userinfo");
	if (userinfo == null) {
		mui.openWindow({
			id: "login",
			url: "html/login.html",
			styles: {
				zindex: 9999
			},
			waiting: {
				autoShow: true
			}
		})
		return false;
	} else {


		return true;
	}
}

function showindex() {
	var index = plus.webview.getWebviewById("html/index.html");
	index.show();
}


function login() {

	var userid = document.querySelector("#txtuserid").value;
	var password = document.querySelector("#txtpassword").value;
	if (userid == null || userid == "") {
		mui.toast('用户名不能为空。');
		return;
	}
	if (password == null || password == "") {
		mui.toast("密码不能为空。")
		return;
	}
	var targetUrl = url + "/CeduStudentInfoBLL/Login?userid=" + userid + "&password=" + password;
	plus.nativeUI.showWaiting();
	AjaxRequest(targetUrl, "POST", function(data) {
		if (data.Result == null) {
			mui.toast("用户名密码不正确，请重试。");
			plus.nativeUI.closeWaiting();
			return;
		} else {
			userinfo = data.Result;
			modelinfo.putJsonData("userinfo", userinfo);
			//登录成功，关闭的登录窗口
			mui.toast('登录成功');
			plus.nativeUI.closeWaiting();
			var index = plus.webview.getLaunchWebview();
			index.reload(true);
			for (var i = 0; i < index.children().length; i++) {
				if (i == 0) {
					index.children()[i].reload(true);
				} else {
					index.children()[i].close();
				}
			}
			postLoginInfo(userinfo.userid, userinfo.studentname);
			plus.webview.currentWebview().close();
		}
	});
}

function postLoginInfo(LoginUserId, LoginUserName) {
	var Model = plus.device.model;
	var Vendor = plus.device.vendor;
	var System = plus.os.name;
	var SystemVersion = plus.os.version;
	var Language = plus.os.language;
	var NetworkType = getNetWorkType();
	var targetUrl = url + "/LoginInfoBLL/AddLoginInfo?LoginUserId=" + LoginUserId + "&LoginUserName=" + LoginUserName + "&Model=" + Model + "&Vendor=" + Vendor + "&System=" + System + "&SystemVersion=" + SystemVersion + "&Language=" + Language + "&NetworkType=" + NetworkType
	console.log(targetUrl);
	AjaxRequest(targetUrl, "POST");
}

function getNetWorkType() {
	var types = {};
	types[plus.networkinfo.CONNECTION_UNKNOW] = "未知";
	types[plus.networkinfo.CONNECTION_NONE] = "未连接";
	types[plus.networkinfo.CONNECTION_ETHERNET] = "有线网络";
	types[plus.networkinfo.CONNECTION_WIFI] = "WiFi";
	types[plus.networkinfo.CONNECTION_CELL2G] = "2G";
	types[plus.networkinfo.CONNECTION_CELL3G] = "3G";
	types[plus.networkinfo.CONNECTION_CELL4G] = "4G";
	return types[plus.networkinfo.getCurrentType()];
}




function loginout() {
	mui.confirm("确认退出当前用户吗？", "确认", ["是", "否"], function(e) {
		if (e.index == 0) {
			userinfo = null;
			modelinfo.putJsonData("userinfo", null);
			mui.openWindow({
				id: "login",
				url: "login.html",
				styles: {
					zindex: 9999
				},
				waiting: {
					autoShow: true
				}
			})
		}

	})
}



//bapo
function savestudyrecod(CourseVersionid, StudentId, EnrollBatchId, StudyCenterId, ActivityId, LevelId, SpecialityId, StructureId, StructureName, PageTitle, ActiveTypeId, LogType) {
	var targetUrl = courseUrl + "?methodname=SaveStudyRecord&CourseVersionId=" + CourseVersionid + "&StudentId=" + StudentId + "&EnrollBatchId=" + EnrollBatchId + "&StudyCenterId=" + StudyCenterId + "&ActivityId=" + ActivityId + "&LevelId=" + LevelId + "&SpecialityId=" + SpecialityId + "&StructureId=" + StructureId + "&StructureName=" + StructureName + "&PageTitle=" + PageTitle + "&ActiveTypeId=" + ActiveTypeId + "&LogType=" + LogType;
	AjaxRequest(targetUrl, "POST",function(){},false);
}


/*   
函数：格式化日期   
参数：formatStr-格式化字符串   
d：将日显示为不带前导零的数字，如1   
dd：将日显示为带前导零的数字，如01   
ddd：将日显示为缩写形式，如Sun   
dddd：将日显示为全名，如Sunday   
M：将月份显示为不带前导零的数字，如一月显示为1   
MM：将月份显示为带前导零的数字，如01  
MMM：将月份显示为缩写形式，如Jan  
MMMM：将月份显示为完整月份名，如January  
yy：以两位数字格式显示年份  
yyyy：以四位数字格式显示年份  
h：使用12小时制将小时显示为不带前导零的数字，注意||的用法  
hh：使用12小时制将小时显示为带前导零的数字  
H：使用24小时制将小时显示为不带前导零的数字  
HH：使用24小时制将小时显示为带前导零的数字  
m：将分钟显示为不带前导零的数字  
mm：将分钟显示为带前导零的数字  
s：将秒显示为不带前导零的数字  
ss：将秒显示为带前导零的数字  
l：将毫秒显示为不带前导零的数字  
ll：将毫秒显示为带前导零的数字  
tt：显示am/pm  
TT：显示AM/PM  
返回：格式化后的日期  
*/
Date.prototype.format = function(formatStr) {
	var date = this;
	/*  
	函数：填充0字符  
	参数：value-需要填充的字符串, length-总长度  
	返回：填充后的字符串  
	*/
	var zeroize = function(value) {
		if (!length) {
			length = 2;
		}
		value = new String(value);
		for (var i = 0, zeros = ''; i < (length - value.length); i++) {
			zeros += '0';
		}
		return zeros + value;
	};
	return formatStr.replace(/"[^"]*"|'[^']*'|\b(?:d{1,4}|M{1,4}|yy(?:yy)?|([hHmstT])\1?|[lLZ])\b/g, function($0) {
		switch ($0) {
			case 'd':
				return date.getDate();
			case 'dd':
				return zeroize(date.getDate());
			case 'ddd':
				return ['Sun', 'Mon', 'Tue', 'Wed', 'Thr', 'Fri', 'Sat'][date.getDay()];
			case 'dddd':
				return ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'][date.getDay()];
			case 'M':
				return date.getMonth() + 1;
			case 'MM':
				return zeroize(date.getMonth() + 1);
			case 'MMM':
				return ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'][date.getMonth()];
			case 'MMMM':
				return ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'][date.getMonth()];
			case 'yy':
				return new String(date.getFullYear()).substr(2);
			case 'yyyy':
				return date.getFullYear();
			case 'h':
				return date.getHours() % 12 || 12;
			case 'hh':
				return zeroize(date.getHours() % 12 || 12);
			case 'H':
				return date.getHours();
			case 'HH':
				return zeroize(date.getHours());
			case 'm':
				return date.getMinutes();
			case 'mm':
				return zeroize(date.getMinutes());
			case 's':
				return date.getSeconds();
			case 'ss':
				return zeroize(date.getSeconds());
			case 'l':
				return date.getMilliseconds();
			case 'll':
				return zeroize(date.getMilliseconds());
			case 'tt':
				return date.getHours() < 12 ? 'am' : 'pm';
			case 'TT':
				return date.getHours() < 12 ? 'AM' : 'PM';
		}
	});
}

function ShowWindows() { //注册新webview的载入完成事件
	//plus.nativeUI.closeWaiting(); //新webview的载入完毕后关闭等待框
	var webviewShow = plus.webview.currentWebview();
	webviewShow.show('none'); //把新webview窗体显示出来，显示动画效果为速度150毫秒的右侧移入动画
}

/*
 * 打开外部链接
 */

function OpenCurUrl(outurl) {
	plus.runtime.openURL(outurl);
}